<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="manageMenuTree.aspx.cs" EnableEventValidation="false" Inherits="Web.Wpdcc.manageMenuTree" %>
<!DOCTYPE html>
<!--[if lt IE 9]><html class="lte-ie8"><![endif]-->
<!--[if gt IE 8]><!-->
<html>
<!--<![endif]-->
<head runat="server">
    <title>manageMenuTree</title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <!--#include file = "../Css/adminCss.htm" -->
    <script type="text/javascript" src="../Js/jquery.tree.js"></script>
    <script type="text/javascript" language="javascript">
     jQuery(function($) {
             //新增布局
            $(".icon-add").click(function() {
                    return true; 
                }).fancybox({
                'width'		: 690,
				'height'	: 280,
				'hideOnOverlayClick': false,
				'type'		: 'iframe',
				'padding':'0'
            });
                 $(".lm-add").click(function() {
                    return true; 
                }).fancybox({
                'width'		: 690,
				'height'	: 280,
				'hideOnOverlayClick': false,
				'type'		: 'iframe',
				'padding':'0'
            });
                 //布局编辑
            $(".icon-edit").click().fancybox({
                'width'		: 600,
				'height'	: 280,
				'hideOnOverlayClick': false,
				'type'		: 'iframe',
				'padding': '0'
            });
//            $(".menuItem").mouseover(function (){
//            $(this).append("<image src='/Images/artdesign/topImage/system_top.gif'/>");
         //            })
        })

    </script>
</head>
<body>
    <div class="edit-func-box func-box">
        <form id="form1" runat="server">
        <div class="hd">
             您的位置：网站架构 &gt;网站布局管理
            <div class="user-service">
                <a href="manageMenu.aspx">切换到列表模式</a>
            </div>
        </div>
        <div class="bd">
            <table width="100%">
                <tr>
                    <td style="width: 220px; vertical-align: top;">
                        <div class="tree_hd" >
                            <a class="lm-add" href='manageMenuEditor.aspx?parentId=0&menuMode=1'"'> + 添加布局</a>
                        </div>
                        <div id="MenuTree" runat="server" style="overflow:auto;">
                        </div>
                    </td>
                    <td style="vertical-align:top;">
                       <iframe id="itemFrame" name="itemFrame" allowtransparency="true" scrolling="auto"
                                class="Frame" frameborder="0" src="ManageMenuItem.aspx"></iframe>
                    </td>
                </tr>
            </table>
        </div>
            <input id="hdMenuId" type="Hidden" runat="server" value="0" />
            <asp:LinkButton ID="lbtnHidden" runat="server" OnClick="lbtnHidden_Click"> </asp:LinkButton>
        </form>
    </div>

    
    <script type="text/javascript"> 
	$(function(){ 
		$('#files').tree({ 
		}); 
	}); 
    </script>

    <script type="text/javascript" language="javascript">  
   
     function fnDel(id)
     {
        document.getElementById("hdMenuId").value=id;
        var rtn = confirm("你确定要删除该页及其下的所有栏目和子频道吗？");
        if (rtn) {
                        <%= ClientScript.GetPostBackEventReference(lbtnHidden, "del") %>;   
                  }
          
        return rtn; 
        
      };
   $( function() {
//				$('.edit').hide();
             $('.menuItem').live( 'click',function(event) {
			        $(this).next().show();
	                $('.tree li').removeClass('bg');
                    $(this).parents('li').eq(0).addClass('bg');
				});
			$('.menuItem').hover( function(event) {
			     $(event.target).next().show();
                    $(this).addClass('bg');
				}, function(event) {
					 $(event.target).next().hide();
                $(this).removeClass('bg');
				});
				

				$('.menuItem span').hover( function(event) {
			     $(event.target).parents('a').next().show();
                    $(this).parents('a').addClass('bg');
				}, function(event) {
					 $(event.target).parents('a').next().hide();
                $(this).parents('a').removeClass('bg');
				});
				
				$('.edit').hover( function(event) {
					$(event.target).show();
					$(this).prev('a').addClass('bg');
					
				}, function(event) {
//					$(event.target).hide();
$('.edit').hide();
    $(this).prev('a').removeClass('bg');
				});
				$('.edit a').hover( function(event) {
					$(event.target).parent().show();
					
				}, function(event) {
//					$(event.target).parent().hide();
$('.edit').hide();
				});
		   //iframe区域高度
	        iframeH();
			  //窗口变化时
            $(window).resize(function(){
	            //iframe区域高度
	            iframeH();
            });
             //iframe区域高度
            function iframeH(){
	            var wH=$(window).innerHeight();
	            $('#itemFrame').height(wH-40);
	            $('.list-table').css("min-height",wH-44);
            }
            /*菜单树高度*/
              $('#MenuTree').height($(window).innerHeight() - 125);

              $(window).resize(function () {
                  $('#MenuTree').height($(window).innerHeight() - 125);
              });
			});
    </script>
</body>
</html>
